
def zip_longest(*args, fillvalue=()):
    """
    This function mimics the `itertools.zip_longest` behavior without using the `itertools` package.
    """
    iters = [iter(arg) for arg in args]
    while True:
        result = []
        for it in iters:
            try:
                result.append(next(it))
            except StopIteration:
                result.append(fillvalue)
        yield tuple(result)



